package com.ycgis.macall.personalcenter.m.requestbean;

import com.ycgis.macall.personalcenter.m.adapterbean.AppInfoBean;

import java.io.Serializable;
import java.util.ArrayList;
import java.util.List;

/**
 * created by:   Macall
 * create time:  2023/11/14 17:00
 * copyright:    @ruansee.com
 * Describe:
 */
public class AppInfoModel implements Serializable {

    /**
     * counts : 7
     * pagesize : 20
     * pages : 1
     * page : 1
     * items : [{"id":21,"name":"皖警云核查","icon":"/profile/upload/2023/01/02/icon_云核查_20230102194657A007.png","link":null,"packageName":"com.ycgis.macall.provinceproject","effectiveness":1,"level":3,"classification":null,"type":1,"sort":1,"cityNumber":null,"serviceProvider":"安徽软思信息技术有限公司","operationPerson":"陈乐","phoneNumber":"15655166626","clientId":"6772242211161756101","clientSecret":"82I8I280VX3PCqNqV886y739S2u86i5B","state":"1","remark":null,"applicant":"管理员","alarmSignal":"admin","department":"安徽省公安厅","applicationTime":"2022-11-16 17:56:23","policeDirector":"沙海峰","policeDirectorSignal":"006856","policePhoneNumber":"15566551515","operationGuide":null,"approvalTime":"2022-11-16 17:56:37","rejectReason":null,"approver":null,"isRecommend":0,"clickCount":7,"label":null,"attribution":0}]
     */

    private int counts;
    private int pagesize;
    private int pages;
    private int page;
    private List<AppInfoBean> items;

    public int getCounts() {
        return counts;
    }

    public void setCounts(int counts) {
        this.counts = counts;
    }

    public int getPagesize() {
        return pagesize;
    }

    public void setPagesize(int pagesize) {
        this.pagesize = pagesize;
    }

    public int getPages() {
        return pages;
    }

    public void setPages(int pages) {
        this.pages = pages;
    }

    public int getPage() {
        return page;
    }

    public void setPage(int page) {
        this.page = page;
    }

    public List<AppInfoBean> getItems() {
        return items == null?new ArrayList<>():items;
    }

    public void setItems(List<AppInfoBean> items) {
        this.items = items;
    }
}
